@import "../styles/_variables.scss";

.spreadsheet {
  background-color: $white;
  border-radius: 0.5rem;
  box-shadow: 1px 1px 3px $gray;
  overflow: hidden;
}

table {
  border-collapse: collapse;
  cursor: pointer;
}

thead {
  cursor: default;
}

th {
  background-color: $lighter-gray;
  border-bottom: 1px solid $light-gray;
  font-weight: normal;
  padding: 1rem 2rem;
}

th:not(:first-of-type) {
  border-left: 1px solid $light-gray;
}

th:not(:last-of-type) {
  border-right: 1px solid $light-gray;
}

td {
  color: $gray;
  padding: 1rem 2rem;
  text-align: center;
  transition: background-color 0.15s ease-in-out, color 0.15s ease-in-out;
}

td:not(:first-of-type) {
  border-left: 1px solid $light-gray;
}

td:not(:last-of-type) {
  border-right: 1px solid $light-gray;
}

tbody tr:not(:first-of-type) td {
  border-top: 1px solid $light-gray;
}

tbody tr:not(:last-of-type) td {
  border-bottom: 1px solid $light-gray;
}

.selected-fruit-basket td {
  color: $black;
}

tbody tr:focus .apples-data,
tbody tr:hover .apples-data,
tbody tr:active .apples-data {
  background-color: $lighter-red;
}

tbody tr:focus .oranges-data,
tbody tr:hover .oranges-data,
tbody tr:active .oranges-data {
  background-color: $lighter-orange;
}